Bug 736355 - /usr/lib64/jack/jack_firewire.so is still linked to libconfig++.so.6
Summary: /usr/lib64/jack/jack_firewire.so is still linked to libconfig++.so.6
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: jack-audio-connection-kit
Version: 15
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Orcan Ogetbil
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-07 13:32 UTC by prz
Modified: 2011-12-26 16:10 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-25 22:41:01 UTC


Attachments (Terms of Use)

Description prz 2011-09-07 13:32:32 UTC
After installation jack_firewire cannot be loaded since it's been linked to libconfig++.so.<b>6</b> instead of <b>9</b>

[root@prz-workstation src]# ldd /usr/lib64/jack/jack_firewire.so 
        linux-vdso.so.1 =>  (0x00007fff343ff000)
        libstdc++.so.6 => /usr/lib64/libstdc++.so.6 (0x00007f0720f2d000)
        libjackserver.so.0 => /usr/lib64/libjackserver.so.0 (0x00007f0720caa000)
        libdl.so.2 => /lib64/libdl.so.2 (0x00007f0720aa5000)
        librt.so.1 => /lib64/librt.so.1 (0x00007f072089d000)
        libpthread.so.0 => /lib64/libpthread.so.0 (0x00007f0720682000)
        libffado.so.2 => /usr/local/lib/libffado.so.2 (0x00007f0720152000)
        libm.so.6 => /lib64/libm.so.6 (0x00007f071fece000)
        libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00007f071fcb9000)
        libc.so.6 => /lib64/libc.so.6 (0x00007f071f91e000)
        /lib64/ld-linux-x86-64.so.2 (0x0000003480600000)
        libiec61883.so.0 => /usr/lib64/libiec61883.so.0 (0x00007f071f712000)
        libraw1394.so.11 => /usr/lib64/libraw1394.so.11 (0x00007f071f503000)
        libconfig++.so.6 => not found
        libxml++-2.6.so.2 => /usr/lib64/libxml++-2.6.so.2 (0x00007f071f2e1000)
        libxml2.so.2 => /usr/lib64/libxml2.so.2 (0x00007f071ef86000)
        libglibmm-2.4.so.1 => /usr/lib64/libglibmm-2.4.so.1 (0x00007f071ed21000)
        libgobject-2.0.so.0 => /lib64/libgobject-2.0.so.0 (0x00007f071ead3000)
        libsigc-2.0.so.0 => /usr/lib64/libsigc-2.0.so.0 (0x00007f071e8ce000)
        libglib-2.0.so.0 => /lib64/libglib-2.0.so.0 (0x00007f071e5b6000)
        libgthread-2.0.so.0 => /lib64/libgthread-2.0.so.0 (0x00007f071e3b2000)
        libz.so.1 => /lib64/libz.so.1 (0x00007f071e19a000)
        libgmodule-2.0.so.0 => /lib64/libgmodule-2.0.so.0 (0x00007f071df97000)

Comment 1 prz 2011-09-07 13:34:34 UTC
[root@prz-workstation src]# rpm -q -a | grep jack-audio
jack-audio-connection-kit-1.9.7-2.fc15.x86_64


FFADO diagnostic utility 2.999.0-1991
============================
(C) 2008 Pieter Palmers
    2009-2010 Arnold Krille


=== CHECK ===
 Base system...
  kernel version............ 2.6.40.4-5.fc15.x86_64
  old 1394 stack present.... False
  old 1394 stack loaded..... False
  old 1394 stack active..... False
  new 1394 stack present.... True
  new 1394 stack loaded..... True
  new 1394 stack active..... True
  /dev/raw1394 node present. False
 Prerequisites (dynamic at run-time)...
   gcc ............... gcc (GCC) 4.6.1 20110824 (Red Hat 4.6.1-8)
   g++ ............... g++ (GCC) 4.6.1 20110824 (Red Hat 4.6.1-8)
   PyQt4 (by pyuic4) . sh: pyuic4: command not found
   jackd ............. could not open driver .so '/usr/lib64/jack/jack_firewire.so': libconfig++.so.6: cannot open shared object file: No such file or directory
     path ............ /usr/bin/jackd
     flags ........... Package jack was not found in the pkg-config search path.
Perhaps you should add the directory containing `jack.pc'
to the PKG_CONFIG_PATH environment variable
No package 'jack' found
   libraw1394 ........ 2.0.7
     flags ...........  -lraw1394  
   libavc1394 ........ 0.5.3
     flags ...........  -lavc1394 -lrom1394 -lraw1394  
   libiec61883 ....... 1.2.0
     flags ...........  -liec61883 -lraw1394  
   libxml++-2.6 ...... 2.33.2
     flags ........... -pthread -I/usr/include/libxml++-2.6 -I/usr/lib64/libxml++-2.6/include -I/usr/include/libxml2 -I/usr/include/glibmm-2.4 -I/usr/lib64/glibmm-2.4/include -I/usr/include/sigc++-2.0 -I/usr/lib64/sigc++-2.0/include -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include  -pthread -lxml++-2.6 -lxml2 -lglibmm-2.4 -lgobject-2.0 -lsigc-2.0 -lgthread-2.0 -lrt -lglib-2.0  
   dbus-1 ............ 1.4.6
     flags ........... -I/usr/include/dbus-1.0 -I/usr/lib64/dbus-1.0/include  -L/lib64 -ldbus-1 -lpthread -lrt  
 Prerequisites (static at compile-time)...
   gcc ............... gcc (GCC) 4.4.1 20090725 (Red Hat 4.4.1-2)
   g++ ............... g++ (GCC) 4.4.1 20090725 (Red Hat 4.4.1-2)
   PyQt4 (by pyuic4) . sh: pyuic4: command not found
   jackd ............. jackd version 0.118.0 tmpdir /dev/shm protocol 24
     path ............ /usr/bin/jackd
     flags ........... Package jack was not found in the pkg-config search path.
   libraw1394 ........ 2.0.4
     flags ...........  -lraw1394  
   libavc1394 ........ 0.5.3
     flags ...........  -lavc1394 -lrom1394 -lraw1394  
   libiec61883 ....... 1.2.0
     flags ...........  -liec61883 -lraw1394  
   libxml++-2.6 ...... 2.26.0
     flags ........... -I/usr/include/libxml++-2.6 -I/usr/lib64/libxml++-2.6/include -I/usr/include/libxml2 -I/usr/include/glibmm-2.4 -I/usr/lib64/glibmm-2.4/include -I/usr/include/sigc++-2.0 -I/usr/lib64/sigc++-2.0/include -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include  -lxml++-2.6 -lxml2 -lglibmm-2.4 -lgobject-2.0 -lsigc-2.0 -lglib-2.0  
   dbus-1 ............ 1.2.12
     flags ........... -I/usr/include/dbus-1.0 -I/usr/lib64/dbus-1.0/include  -L/lib64 -ldbus-1  
 Hardware...
   Host controllers:
0a:04.0 FireWire (IEEE 1394) [0c00]: Agere Systems FW322/323 [11c1:5811] (rev 70) (prog-if 10 [OHCI])
        Subsystem: ASUSTeK Computer Inc. Device [1043:8259]
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
        Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 64 (3000ns min, 6000ns max), Cache Line Size: 64 bytes
        Interrupt: pin A routed to IRQ 19
        Region 0: Memory at fbeff000 (32-bit, non-prefetchable) [size=4K]
        Capabilities: [44] Power Management version 2
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0+,D1+,D2+,D3hot+,D3cold-)
                Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME+
        Kernel driver in use: firewire_ohci
        Kernel modules: firewire-ohci

   CPU info:
Architecture:          x86_64
CPU op-mode(s):        32-bit, 64-bit
Byte Order:            Little Endian
CPU(s):                8
On-line CPU(s) list:   0-7
Thread(s) per core:    2
Core(s) per socket:    4
CPU socket(s):         1
NUMA node(s):          1
Vendor ID:             GenuineIntel
CPU family:            6
Model:                 26
Stepping:              5
CPU MHz:               2668.000
BogoMIPS:              5344.68
Virtualization:        VT-x
L1d cache:             32K
L1i cache:             32K
L2 cache:              256K
L3 cache:              8192K
NUMA node0 CPU(s):     0-7
 Configuration...
  IRQ information
Hardware Interrupts:
--------------------
 IRQ    0: PID:  None, count: [13385357, 13385357, 13385357, 13385357, 13385357, 13385357, 13385357, 13385357], Sched None (priority None), drivers: ['timer']
 IRQ    1: PID:  None, count: [2, 2, 2, 2, 2, 2, 2, 2], Sched None (priority None), drivers: ['i8042']
 IRQ    4: PID:  None, count: [6, 6, 6, 6, 6, 6, 6, 6], Sched None (priority None), drivers: ['']
 IRQ    8: PID:  None, count: [1, 1, 1, 1, 1, 1, 1, 1], Sched None (priority None), drivers: ['rtc0']
 IRQ    9: PID:  None, count: [0, 0, 0, 0, 0, 0, 0, 0], Sched None (priority None), drivers: ['acpi']
 IRQ   12: PID:  None, count: [4, 4, 4, 4, 4, 4, 4, 4], Sched None (priority None), drivers: ['i8042']
 IRQ   16: PID:  None, count: [0, 0, 0, 0, 0, 0, 0, 0], Sched None (priority None), drivers: ['uhci_hcd:usb3']
 IRQ   18: PID:  None, count: [59337, 59337, 59337, 59337, 59337, 59337, 59337, 59337], Sched None (priority None), drivers: ['ehci_hcd:usb1', 'uhci_hcd:usb8']
 IRQ   19: PID:  None, count: [771, 771, 771, 771, 771, 771, 771, 771], Sched None (priority None), drivers: ['uhci_hcd:usb5', 'uhci_hcd:usb7', 'pata_marvell', 'firewire_ohci']
 IRQ   21: PID:  None, count: [0, 0, 0, 0, 0, 0, 0, 0], Sched None (priority None), drivers: ['uhci_hcd:usb4']
 IRQ   23: PID:  None, count: [118143, 118143, 118143, 118143, 118143, 118143, 118143, 118143], Sched None (priority None), drivers: ['ehci_hcd:usb2', 'uhci_hcd:usb6']
 IRQ   68: PID:  None, count: [1440352, 1440352, 1440352, 1440352, 1440352, 1440352, 1440352, 1440352], Sched None (priority None), drivers: ['ahci']
 IRQ   69: PID:  None, count: [2909718, 2909718, 2909718, 2909718, 2909718, 2909718, 2909718, 2909718], Sched None (priority None), drivers: ['eth0']
 IRQ   70: PID:  None, count: [0, 0, 0, 0, 0, 0, 0, 0], Sched None (priority None), drivers: ['eth1']
 IRQ   71: PID:  None, count: [4709, 4709, 4709, 4709, 4709, 4709, 4709, 4709], Sched None (priority None), drivers: ['hda_intel']
 IRQ   72: PID:  None, count: [31, 31, 31, 31, 31, 31, 31, 31], Sched None (priority None), drivers: ['hda_intel']

Software Interrupts:
--------------------


=== REPORT ===
FireWire kernel drivers:

The new FireWire kernel stack is loaded. 
This is still kind of experimental. If you encounter problems, please also check
with the old stack.

Comment 2 Orcan Ogetbil 2011-09-07 14:24:25 UTC
Hi, I don't have access to a Fedora box right now, but something seems wrong with your installation. Both
        jack-audio-connection-kit-1.9.7-2.fc15
        libffado-2.1.0-0.3.20110426.svn1983.fc15
are built against
        /usr/lib64/libconfig++.so.9

See the build logs at
        http://koji.fedoraproject.org/koji/buildinfo?buildID=242836
        http://koji.fedoraproject.org/koji/buildinfo?buildID=241143
        
In fact, we didn't build anything against 
        /usr/lib64/libconfig++.so.6
for more than 2 years, that would be libconfig-1.3.1 from Fedora 12 days.

Comment 3 prz 2011-09-07 14:44:19 UTC
well, I upgraded from fc11->fc13->fc15 and I can only tell you what I see


[root@prz-workstation src]# rpm -q -a | grep libconfig
libconfig-devel-1.4.6-1.fc15.x86_64
libconfig-1.4.6-1.fc15.x86_64


[root@prz-workstation src]# rpm -q -a | grep jack
pulseaudio-module-jack-0.9.22-5.fc15.x86_64

and when I do 



ldd /usr/lib64/jack/jack_firewire.so 
        linux-vdso.so.1 =>  (0x00007fff8bf55000)
        libstdc++.so.6 => /usr/lib64/libstdc++.so.6 (0x00007f4a2217e000)
        libjackserver.so.0 => /usr/lib64/libjackserver.so.0 (0x00007f4a21efb000)
        libdl.so.2 => /lib64/libdl.so.2 (0x00007f4a21cf6000)
        librt.so.1 => /lib64/librt.so.1 (0x00007f4a21aee000)
        libpthread.so.0 => /lib64/libpthread.so.0 (0x00007f4a218d3000)
        libffado.so.2 => /usr/local/lib/libffado.so.2 (0x00007f4a213a3000)
        libm.so.6 => /lib64/libm.so.6 (0x00007f4a2111f000)
        libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00007f4a20f0a000)
        libc.so.6 => /lib64/libc.so.6 (0x00007f4a20b6f000)
        /lib64/ld-linux-x86-64.so.2 (0x0000003480600000)
        libiec61883.so.0 => /usr/lib64/libiec61883.so.0 (0x00007f4a20963000)
        libraw1394.so.11 => /usr/lib64/libraw1394.so.11 (0x00007f4a20754000)
        libconfig++.so.6 => not found
        libxml++-2.6.so.2 => /usr/lib64/libxml++-2.6.so.2 (0x00007f4a20532000)
        libxml2.so.2 => /usr/lib64/libxml2.so.2 (0x00007f4a201d7000)
        libglibmm-2.4.so.1 => /usr/lib64/libglibmm-2.4.so.1 (0x00007f4a1ff72000)
        libgobject-2.0.so.0 => /lib64/libgobject-2.0.so.0 (0x00007f4a1fd24000)
        libsigc-2.0.so.0 => /usr/lib64/libsigc-2.0.so.0 (0x00007f4a1fb1f000)
        libglib-2.0.so.0 => /lib64/libglib-2.0.so.0 (0x00007f4a1f807000)
        libgthread-2.0.so.0 => /lib64/libgthread-2.0.so.0 (0x00007f4a1f603000)
        libz.so.1 => /lib64/libz.so.1 (0x00007f4a1f3eb000)
        libgmodule-2.0.so.0 => /lib64/libgmodule-2.0.so.0 (0x00007f4a1f1e8000)

jack_firewire claims it's built vs. config++.6 and does not load. 


[root@prz-workstation src]# ls -lat /usr/lib64/jack/*
-rwxr-xr-x 1 root root  14312 May  7 04:43 /usr/lib64/jack/jack_dummy.so
-rwxr-xr-x 1 root root  46872 May  7 04:43 /usr/lib64/jack/jack_firewire.so
-rwxr-xr-x 1 root root  28280 May  7 04:43 /usr/lib64/jack/jack_freebob.so
-rwxr-xr-x 1 root root  32832 May  7 04:43 /usr/lib64/jack/jack_net.so
-rwxr-xr-x 1 root root  37824 May  7 04:43 /usr/lib64/jack/netadapter.so
-rwxr-xr-x 1 root root  41224 May  7 04:43 /usr/lib64/jack/audioadapter.so
-rwxr-xr-x 1 root root   6704 May  7 04:43 /usr/lib64/jack/inprocess.so
-rwxr-xr-x 1 root root 106560 May  7 04:43 /usr/lib64/jack/jack_alsa.so
-rwxr-xr-x 1 root root  12480 May  7 04:43 /usr/lib64/jack/jack_loopback.so
-rwxr-xr-x 1 root root  57760 May  7 04:43 /usr/lib64/jack/jack_netone.so
-rwxr-xr-x 1 root root  25520 May  7 04:43 /usr/lib64/jack/netmanager.so
-rwxr-xr-x 1 root root  13384 May  7 04:43 /usr/lib64/jack/profiler.so
[root@prz-workstation src]# 

so it seems I have it all installed fine I assume (I did install of e'thing twice).

Maybe jack_firewire is loading something under it again but I don't know how to find it. ldd -v does not give me more info either.

All other /lib64/jack/*so load fine (but none has libconfig++ in it)

Ouch, by some magic way or another this one claims to want libconfig++.6

If I can give you more info, shoot.

Comment 4 Orcan Ogetbil 2011-09-07 14:54:38 UTC
Interesting... Is this the only output you get?

(In reply to comment #3)
> [root@prz-workstation src]# rpm -q -a | grep jack
> pulseaudio-module-jack-0.9.22-5.fc15.x86_64
> 

You should also get 
    jack-audio-connection-kit-1.9.7-2.fc15.x86_64
etc. What does
    rpm -qlv libconfig
say?

Comment 5 prz 2011-09-07 15:25:19 UTC
yes, of course. here it goes. all looks kosher ?


[root@prz-workstation rpm]# rpm -qlv libconfig
lrwxrwxrwx    1 root    root                       20 Mar  1  2011 /usr/lib64/libconfig++.so.9 -> libconfig++.so.9.1.0
-rwxr-xr-x    1 root    root                    91344 Mar  1  2011 /usr/lib64/libconfig++.so.9.1.0
lrwxrwxrwx    1 root    root                       18 Mar  1  2011 /usr/lib64/libconfig.so.9 -> libconfig.so.9.1.0
-rwxr-xr-x    1 root    root                    46120 Mar  1  2011 /usr/lib64/libconfig.so.9.1.0
drwxr-xr-x    2 root    root                        0 Mar  1  2011 /usr/share/doc/libconfig-1.4.6
-rw-r--r--    1 root    root                      188 Mar  1  2011 /usr/share/doc/libconfig-1.4.6/AUTHORS
-rw-r--r--    1 root    root                    26528 Apr 13  2010 /usr/share/doc/libconfig-1.4.6/COPYING.LIB
-rw-r--r--    1 root    root                    20366 Oct 25  2010 /usr/share/doc/libconfig-1.4.6/ChangeLog
-rw-r--r--    1 root    root                     1292 Apr 13  2010 /usr/share/doc/libconfig-1.4.6/README
[root@prz-workstation rpm]# rpm -q -a | grep jack
mpg123-plugins-jack-1.12.3-1.fc14.x86_64
jack_capture-0.9.56-3.fc15.x86_64
jack-rack-1.4.7-7.fc15.x86_64
pulseaudio-module-jack-0.9.22-5.fc15.x86_64
jack-audio-connection-kit-1.9.7-2.fc15.x86_64
qjackctl-0.3.8-1.fc15.x86_64
alsa-plugins-jack-1.0.24-2.fc15.x86_64
vlc-plugin-jack-1.1.11-1.fc15.x86_64

Comment 6 Orcan Ogetbil 2011-12-25 22:41:01 UTC
I checked this on multiple different machines. I did not observe this issue or anything similar. It looks like you got some old libconfig dragged in by some other means (3rd party installer?) and it confused your ldconfig.

I am marking this WORKSFORME.

Comment 7 prz 2011-12-26 11:50:44 UTC
(In reply to comment #6)
> I checked this on multiple different machines. I did not observe this issue or
> anything similar. It looks like you got some old libconfig dragged in by some
> other means (3rd party installer?) and it confused your ldconfig.
> 
> I am marking this WORKSFORME.

Excuse my french but it's just a non-sequitur. 

[prz@prz-workstation ~]$ rpm -q -a | grep jack
mpg123-plugins-jack-1.12.3-1.fc14.x86_64
jack_capture-0.9.56-3.fc15.x86_64
rtmidi-jack-1.0.15-2.fc15.x86_64
jack-rack-1.4.7-7.fc15.x86_64
pulseaudio-module-jack-0.9.22-5.fc15.x86_64
jack-audio-connection-kit-1.9.7-2.fc15.x86_64
jack-audio-connection-kit-example-clients-1.9.7-2.fc15.x86_64
qjackctl-0.3.8-1.fc15.x86_64
jack-audio-connection-kit-devel-1.9.7-2.fc15.x86_64

all newest versions 

[prz@prz-workstation ~]$ rpm -q -f /usr/lib64/jack/jack_firewire.so 
jack-audio-connection-kit-1.9.7-2.fc15.x86_64

installed by the newest packages and 
[prz@prz-workstation ~]$ ldd /usr/lib64/jack/jack_firewire.so 
        linux-vdso.so.1 =>  (0x00007fff967ff000)
        libstdc++.so.6 => /usr/lib64/libstdc++.so.6 (0x00007f84a47cb000)
        libjackserver.so.0 => /usr/lib64/libjackserver.so.0 (0x00007f84a4548000)
        libdl.so.2 => /lib64/libdl.so.2 (0x00007f84a4343000)
        librt.so.1 => /lib64/librt.so.1 (0x00007f84a413b000)
        libpthread.so.0 => /lib64/libpthread.so.0 (0x00007f84a3f20000)
        libffado.so.2 => /usr/local/lib/libffado.so.2 (0x00007f84a39f0000)
        libm.so.6 => /lib64/libm.so.6 (0x00007f84a376c000)
        libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00007f84a3557000)
        libc.so.6 => /lib64/libc.so.6 (0x00007f84a31bc000)
        /lib64/ld-linux-x86-64.so.2 (0x0000003480600000)
        libiec61883.so.0 => /usr/lib64/libiec61883.so.0 (0x00007f84a2fb0000)
        libraw1394.so.11 => /usr/lib64/libraw1394.so.11 (0x00007f84a2da1000)
        libconfig++.so.6 => not found
        libxml++-2.6.so.2 => /usr/lib64/libxml++-2.6.so.2 (0x00007f84a2b7e000)
        libxml2.so.2 => /usr/lib64/libxml2.so.2 (0x00007f84a2823000)
        libglibmm-2.4.so.1 => /usr/lib64/libglibmm-2.4.so.1 (0x00007f84a25be000)
        libgobject-2.0.so.0 => /lib64/libgobject-2.0.so.0 (0x00007f84a2370000)
        libsigc-2.0.so.0 => /usr/lib64/libsigc-2.0.so.0 (0x00007f84a216b000)
        libglib-2.0.so.0 => /lib64/libglib-2.0.so.0 (0x00007f84a1e53000)
        libgthread-2.0.so.0 => /lib64/libgthread-2.0.so.0 (0x00007f84a1c4f000)
        libz.so.1 => /lib64/libz.so.1 (0x00007f84a1a37000)
        libgmodule-2.0.so.0 => /lib64/libgmodule-2.0.so.0 (0x00007f84a1834000)

so it's obvious it has been linked against libconfig++.so.6 which is way obsolete. 

I have no `funny` ldconfig mysteriously installed (you can explain ANYTHING by magic). 

Generally, fedora is on way out here. After starting with Redhat 3 or so, I have  to say since 11, and surely from 13 on the whole thing just gives a 
bathroom-mat odor. It is sooo horrendously buggy and slow Windows 7 is a relief and I could have never imagined I say anything like that. It boots sporadically and slow, corrupts my Intel ICH raid regurarly (even on clean down, it leaves it unscynchronized), every 6th time X just freezes machine on boot and so on and so on. The whole systemd stuff is just a crutch that is undocumented, unworking and unconfigurable. Rant off. Bye.

Comment 8 Orcan Ogetbil 2011-12-26 16:10:19 UTC
Hi. I am glad you found what you were looking for. Have fun.


Note You need to log in before you can comment on or make changes to this bug.